package com.uas.search.console;

import java.util.Set;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 系统配置信息
 * 
 * @author sunyj
 * @since 2016年12月13日 上午10:20:54
 */
@Component
public class SystemProperties {

	/**
	 * 定时任务是否自动开启
	 */
	@Value("${schedule.auto-start}")
	private boolean taskAutoStart;

	/**
	 * 短信模板id
	 */
	@Value("${service.message.sms.templateId}")
	private String smsTemplateId;

	/**
	 * 短信接收者号码
	 */
	@Value("${service.message.sms.receivers}")
	private Set<String> smsReceivers;

	public boolean isTaskAutoStart() {
		return taskAutoStart;
	}

	public void setTaskAutoStart(boolean taskAutoStart) {
		this.taskAutoStart = taskAutoStart;
	}

	public String getSmsTemplateId() {
		return smsTemplateId;
	}

	public void setSmsTemplateId(String smsTemplateId) {
		this.smsTemplateId = smsTemplateId;
	}

	public Set<String> getSmsReceivers() {
		return smsReceivers;
	}

	public void setSmsReceivers(Set<String> smsReceivers) {
		this.smsReceivers = smsReceivers;
	}

}
